System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The and objects are primary components of a . Use the object and its properties and methods to retrieve and evaluate; and insert, delete, and update the values in the . The represents the actual objects in the , and the contains the objects that describe the schema of the . Use the overloaded property to return or set the value of a .

Use the and properties to determine the status of a particular row value, and the property to determine the state of the row relative to its parent .

To create a new , use the method of the object. After creating a new , use the method to add the new to the . Finally, call the method of the object to confirm the addition. For more information about adding data to a , see Adding Data to a Table.

You can delete a from the by calling the method of the , or by calling the method of the object. The method removes the row from the collection. In contrast, marks the for removal. The actual removal occurs when you call method. By calling , you can programmatically check which rows are marked for removal before actually deleting them. For more information, see Deleting a Row from a Table.

Represents a row of data in a .

- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.

  Initializes a new instance of the DataRow. Constructs a row from the builder. Only for internal usage..

  builder
- Method
  System.Void

  When invoking , the method is implicitly called to end any edits. If the of the row was Added or Modified, the becomes Unchanged. If the was Deleted, the row is removed.

  See the method for more information.

  The class also has an method which affects changes made to the whole table. For more information and a code example that demonstrates how to accept and reject changes to individual data rows, see AcceptChanges and RejectChanges.

  Commits all the changes made to this row since the last time was called.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Use the method to put a into edit mode. In this mode, events are temporarily suspended, letting the user make changes to more than one row without triggering validation rules. For example, if you must make sure that the value of the column for a total amount is equal to the values for the debit and credit columns in a row, you can put each row into edit mode to suspend the validation of the row values until the user tries to commit the values.

  The method is called implicitly when the user changes the value of a data-bound control; the method is called implicitly when you invoke the method for the object. While in this edit mode, the stores representations of the original and new proposed values. Therefore, as long as the method has not been called, you can retrieve either the original or proposed version by passing either DataRowVersion.Original or DataRowVersion.Proposed for the parameter of the property. You can also cancel any edits at this point by invoking the method.

  To see if the row contains an original or proposed value, call the method.

  The method temporarily suspends events, but the delete operation does not.

  Starts an edit operation on a object.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Void

  See the method for more information.

  Cancels the current edit on the row.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Void

  Use and to set and return errors for individual columns.

  Set the property to set an error that applies to the whole row.

  To determine whether any errors exist for the columns collection, use the method. Consequently, you can use the method to retrieve all the columns with errors.

  Clears the errors for the row. This includes the and errors set with .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  If the of the row is Added, the becomes Detached and the row is removed from the table when you call .

  The becomes Deleted after you use the method on an existing . It remains Deleted until you call . At this time, the is removed from the table.

  should not be called in a foreach loop while iterating through a object. modifies the state of the collection.

  A deleted row can be undeleted by invoking .

  The method temporarily suspends events, but the delete operation does not.

  Deletes the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  When you set the property, an exception is generated if an exception occurs in the event.

  Ends the edit occurring on the row.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Data.DataRow[] ``

  The also contains a collection of objects that is returned by the property.

  Gets the child rows of this using the specified .

  An array of objects or an array of length zero.

  The to use. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] ``

  The also contains a collection of objects that is returned by the property.

  Gets the child rows of a using the specified of a .

  An array of objects or an array of length zero.

  The of the to use. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` ``

  The also contains a collection of objects that is returned by the property.

  Use the property to determine whether the that you want exists.

  If is specified, the version that is used depends on the of the row on which GetChildRows is invoked. If the row on which GetChildRows is invoked has a RowState of Modified, New, or Unchanged, the version of the row is used for fetching related child rows with matching values in their Current versions. If the row on which GetChildRows is invoked has a RowState of Deleted, the version of the row is used for fetching related child rows with matching values in their original versions.

  Gets the child rows of a using the specified , and .

  An array of objects.

  The to use. One of the values specifying the version of the data to get. Possible values are Default, Original, Current, and Proposed. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` ``

  The also contains a collection of objects that is returned by the property.

  Use the property to determine whether the that you want exists.

  If is specified, the version that is used depends on the of the row on which GetChildRows is invoked. If the row on which GetChildRows is invoked has a RowState of Modified, New, or Unchanged, the version of the row is used for fetching related child rows with matching values in their Current versions. If the row on which GetChildRows is invoked has a RowState of Deleted, the version of the row is used for fetching related child rows with matching values in their original versions.

  Gets the child rows of a using the specified of a , and .

  An array of objects or an array of length zero.

  The of the to use. One of the values specifying the version of the data to get. Possible values are Default, Original, Current, and Proposed. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  Use the method to set column errors.

  To determine whether any errors exist for the columns collection, use the method. Consequently, you can use the method to retrieve all the columns with errors. Alternatively, the method of the returns all rows with errors.

  To clear all errors for the columns collection, use the method.

  Gets the error description of the specified .

  The text of the error description.

  A . 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  Use the method to set column errors.

  To determine whether any errors exist for the columns collection, use the method. Consequently, you can use the method to retrieve all the columns with errors.

  To clear all errors for the columns collection, use the method.

  Gets the error description for the column specified by index.

  The text of the error description.

  The zero-based index of the column. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  Use the method to set column errors.

  To determine whether any errors exist for the columns collection, use the method. Consequently, you can use the method to retrieve all the columns with errors.

  To clear all errors for the columns collection, use the method.

  Gets the error description for a column, specified by name.

  The text of the error description.

  The name of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataColumn[]

  The lets you reduce the number of objects that must be processed for errors by returning only those columns that have an error. Errors can be set to individual columns with the method. To further reduce the number of processing, examine the property of the class to determine whether a has errors before invoking .

  Use the method to clear all errors on the row. This includes the .

  Gets an array of columns that have errors.

  An array of objects that contain errors.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.DataRow ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Gets the parent row of a using the specified .

  The parent of the current row.

  The to use. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Gets the parent row of a using the specified of a .

  The parent of the current row.

  The of a . 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow `` ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Use the property to determine whether the that you want exists.

  Gets the parent row of a using the specified , and .

  The parent of the current row.

  The to use. One of the values specifying the version of the data to get. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow `` ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Use the property to determine whether the that you want exists.

  Gets the parent row of a using the specified of a , and .

  The parent of the current row.

  The of a . One of the values. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Gets the parent rows of a using the specified .

  An array of objects or an array of length zero.

  The to use. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Gets the parent rows of a using the specified of a .

  An array of objects or an array of length zero.

  The of a . 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Use the property to determine whether the that you want exists.

  Gets the parent rows of a using the specified , and .

  An array of objects or an array of length zero.

  The to use. One of the values specifying the version of the data to get. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRow[] `` ``

  In a , the collection of all parent objects for the data set is returned by the method.

  The also contains a collection of objects, returned by the property.

  Use the property to determine whether the that you want exists.

  Gets the parent rows of a using the specified of a , and .

  An array of objects or an array of length zero.

  The of a . One of the values specifying the version of the data to get. Possible values are Default, Original, Current, and Proposed. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  HasErrors returns true if any object in the row contains an error, or if the property of the is not an empty string.

  When validating data, you can set an error on any column in a row. Such a column, when displayed in the control, is marked with a red exclamation point to signal to the user that the column is in error.

  Use to set an error on any column.

  Use the and GetColumnsInError methods to return columns with errors.

  The method clears all errors for the row.

  Gets a value that indicates whether there are errors in a row.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  See the method for more information.

  Gets a value that indicates whether a specified version exists.

  true if the version exists; otherwise, false.

  One of the values that specifies the row version. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value that indicates whether the specified contains a null value.

  true if the column contains a null value; otherwise, false.

  A . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value that indicates whether the column at the specified index contains a null value.

  true if the column contains a null value; otherwise, false.

  The zero-based index of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value that indicates whether the named column contains a null value.

  true if the column contains a null value; otherwise, false.

  The name of the column. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Gets a value that indicates whether the specified and contains a null value.

  true if the column contains a null value; otherwise, false.

  A . One of the values that specifies the row version. Possible values are Default, Original, Current, and Proposed. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'DataColumn' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'int' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Object[] To be added: an object of type 'object []'

  You can use this property to set or get values for this row through an array. If you use this property to set values, the array must have the same size and ordering as the column collection. Passing null in the indicates that no value was specified.

  Users can generate exceptions in the event or the event.

  Gets or sets all the values for this row through an array.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  When you call the method, the method is implicitly called to cancel any edits. If is deleted or modified, the row reverts to its previous values, and becomes unchanged. If the is added, the row is removed.

  Rejects all changes made to the row since was last called.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Uses the property to first determine whether a contains errors.

  Gets or sets the custom error description for a row.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.DataRowState To be added: an object of type 'DataRowState'

  The value of the depends on two factors: the kind of operation has been performed on the row, and whether has been called on the .

  Gets the current state of the row with regard to its relationship to the .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void

  Changes the of a to Added. If the current row is not in either an Unchanged or an Added state, it throws an with the message that SetAdded can only be invoked on a DataRow instance where the RowState is Unchanged.

  Changes the of a to Added.

- Method
  System.Void `` ``

  To examine error descriptions, use the method.

  To determine whether any errors exist for the columns collection, use the property. Consequently, you can use the method to retrieve all the columns with errors.

  If null or an empty string is passed in as the parameter, the behaves as if no error was set and the property will return false.

  To set a custom error description on the whole row, use the property.

  To determine whether any errors exist for the columns collection, use the method.

  To clear all errors for the columns collection, use the method.

  Sets the error description for a column specified as a .

  The to set the error description for. The error description. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The method is used to set custom error descriptions on specified columns. You can use the control to display the text of the error.

  To examine error descriptions, use the method.

  To determine whether any errors exist for the columns collection, use the property. Consequently, you can use the method to retrieve all the columns with errors.

  If null or an empty string is passed in as the parameter, the behaves as if no error was set and the property will return false.

  To set a custom error description on the whole row, use the property.

  To clear all errors for the columns collection, use the method.

  To set error text that applies to a whole row, set the property.

  Sets the error description for a column specified by index.

  The zero-based index of the column. The error description. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The name of a column is set with the property of the class.

  To examine error descriptions, use the method.

  To determine whether any errors exist for the columns collection, use the property. Consequently, you can use the method to retrieve all the columns with errors.

  If null or an empty string is passed in as the parameter, the behaves as if no error was set and the property will return false.

  To set a custom error description on the whole row, use the property.

  To determine whether any errors exist for the columns collection, use the method.

  To clear all errors for the columns collection, use the method.

  Sets the error description for a column specified by name.

  The name of the column. The error description. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  Changes the of a to Modified. If the current row is not in either an Unchanged or an Added state, it throws an with the message that SetModified can only be invoked on a DataRow instance where the RowState is Unchanged.

  Changes the of a to Modified.

- Method
  System.Void ``

  Use the method to determine whether a column contains a null value.

  Sets the value of the specified to a null value.

  A . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Sets the parent row of a with specified new parent .

  The new parent . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Sets the parent row of a with specified new parent and .

  The new parent . The relation to use. 1.0.5000.0 2.0.0.0
- Property
  System.Data.DataTable To be added: an object of type 'DataTable'

  A does not necessarily belong to any table's collection of rows. This behavior occurs when the has been created but not added to the . If the property returns DataRowState.Detached, the row is not in any collection.

  Gets the for which this row has a schema.

  1.0.5000.0
  2.0.0.0